import request from '@/utils/request'

// 查询注销信息列表
export function listCancellation(query) {
  return request({
    url: '/basicData/xcrCancellation/findByPage',
    method: 'get',
    params: query
  })
}

// 查询注销信息详细
export function getCancellation(xhCodeId) {
  return request({
    url: '/basicData/xcrCancellation/' + xhCodeId,
    method: 'get'
  })
}

// 新增注销信息
export function addCancellation(data) {
  return request({
    url: '/basicData/xcrCancellation',
    method: 'post',
    data: data
  })
}

// 修改注销信息
export function updateCancellation(data) {
  return request({
    url: '/basicData/xcrCancellation',
    method: 'put',
    data: data
  })
}

// 删除注销信息
export function delCancellation(xhCodeId) {
  return request({
    url: '/basicData/xcrCancellation/deleteAll',
    method: 'delete'
  })
}
// 批量删除行政许可
export function delCancellationBatch(ids) {
  return request.post('/basicData/xcrCancellation/delete',ids)
}
